# Method: customers.list

- [HTTP request](https://developers.google.com/spectrum-access-system/reference/rest/customers/list#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/spectrum-access-system/reference/rest/customers/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/spectrum-access-system/reference/rest/customers/list#body.request_body)
- [Response body](https://developers.google.com/spectrum-access-system/reference/rest/customers/list#body.response_body)
  - [JSON representation](https://developers.google.com/spectrum-access-system/reference/rest/customers/list#body.ListCustomersResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://developers.google.com/spectrum-access-system/reference/rest/customers/list#body.aspect)

Returns a list of requested `https://developers.google.com/spectrum-access-system/reference/rest/customers#Customer`.

### HTTP request

`GET https://sasportal.googleapis.com/v1alpha1/customers`

The URL uses [gRPC Transcoding](https://github.com/googleapis/googleapis/blob/master/google/api/http.proto) syntax.

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `number` The maximum number of `https://developers.google.com/spectrum-access-system/reference/rest/customers#Customer` to return in the response. |
| `pageToken` | `string` A pagination token returned from a previous call to `https://developers.google.com/spectrum-access-system/reference/rest/customers/list#spectrum.sas.portal.v1alpha1.Customers.ListCustomers` that indicates where this listing should continue from. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:
Response for `customers.list`.

| JSON representation ||
|---|---|
| ``` { "customers": [ { object (`https://developers.google.com/spectrum-access-system/reference/rest/customers#Customer`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `customers[]` | ``object (`https://developers.google.com/spectrum-access-system/reference/rest/customers#Customer`)`` The `https://developers.google.com/spectrum-access-system/reference/rest/customers#Customer` that match the request. |
| `nextPageToken` | `string` A pagination token returned from a previous call to `https://developers.google.com/spectrum-access-system/reference/rest/customers/list#spectrum.sas.portal.v1alpha1.Customers.ListCustomers` that indicates from where listing should continue. If the field is missing or empty, it means there are no more customers. |

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/userinfo.email`